## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/fsnotify/fsnotify
%global goipath         github.com/fsnotify/fsnotify
Version:                1.7.0

%gometa -L

%global common_description %{expand:
Cross-platform file system notifications for Go.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

Name:           golang-github-fsnotify
Release:        %autorelease
Summary:        Cross-platform file system notifications for Go

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# https://github.com/fsnotify/fsnotify/issues/538
for test in "TestInotifyDeleteOpenFile" "TestInotifyNoBlockingSyscalls" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Mar 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.0-1
- Update to 1.7.0 - Closes rhbz#2245539

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 20 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.0-1
- Update to 1.6.0 - Closes rhbz#2077761

* Sat Sep 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.4-3
- SPEC cleanup

* Fri Aug 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.4-2
- Remove not needed Obsoletes since F33

* Mon Aug 08 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.4-1
- Update to latest version (#2077761)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 29 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.1-1
- Update to latest upstream release 1.5.1 (closes rhbz#1995418)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.9-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.7-7
- Add Obsoletes for old name

* Wed Apr 24 12:36:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.7-6
- Update to new macros

* Fri Mar 08 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.7-5
- Rewrite using new Go packaging
- Add alternate import path "gopkg.in/fsnotify/fsnotify.v1"

* Tue Feb 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.7-4
- Backport patch to fix TestInotifyOverflow

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 13 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.4.7-1
- Update version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 26 2017 Frederico Lima <fredlima@fedoraproject.org> - 1.4.2-1
- First package for Fedora

## END: Generated by rpmautospec
